

#include <IRremote.h>

int RECV_PIN = 2;

IRrecv irrecv(RECV_PIN);

decode_results decodedSignal;

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
}

void loop() {
  if (irrecv.decode(&decodedSignal)) {
    Serial.println(decodedSignal.value, HEX);
    onKeyMap(decodedSignal.value);
    irrecv.resume(); // Receive the next value
  }
}

void onKeyMap(uint32_t key) {
  switch (key) {
    case 0xFF18E7 : {
        Serial.println("UP");
        break;
      }
    case 0xFF4AB5 : {
        Serial.println("DOWN");
        break;
      }
    case 0xFF10EF : {
        Serial.println("LEFT");
        break;
      }
    case 0xFF5AA5 : {
        Serial.println("RIGHT");
        break;
      }
    case 0xFF38C7 : {
        Serial.println("OK");
        break;
      }
    case 0xFF6897 : {
        Serial.println("*");
        break;
      }
    case 0xFFB04F : {
        Serial.println("#");
        break;
      }
  }
}
